org.gjt.sp.jedit.indent

## Interface IndentRule

All Known Implementing Classes:
  BracketIndentRule, CloseBracketIndentRule, DeepIndentRule, OpenBracketIndentRule, RegexpIndentRule, WhitespaceRule

    public interface IndentRule

Abstract Indentation Rule

### Method Summary

Methods
`void` `apply(JEditBuffer buffer, int thisLineIndex, int prevLineIndex, int prevPrevLineIndex, java.util.List<IndentAction> indentActions)` Apply the indent rule to this line, and return an indent action.

### Method Detail

#### apply

    void apply(JEditBuffer buffer,
             int thisLineIndex,
             int prevLineIndex,
             int prevPrevLineIndex,
             java.util.List<IndentAction> indentActions)

Apply the indent rule to this line, and return an indent action.

Parameters:
  `buffer` - the buffer
  `thisLineIndex` - the line index
  `prevLineIndex` - the prior non empty line index (or -1 if there is no prior non empty line)
  `prevPrevLineIndex` - the prior non empty line index before the prevLineIndex (or -1 if there is no prior non empty line)
  `indentActions` - the indent actions list. The rule can add an action in it if it is necessary